# Created by pyp2rpm-1.0.1
%global pypi_name filebrowser_safe
%define version 1.1.1

Name:           python-filebrowser-safe
Version:        %{version}
Release:        %mkrel 3
Group:          Development/Python
Summary:        A snapshot of the filebrowser_3 branch of django-filebrowser, packaged as a dependency for the Mezzanine CMS for Django

License:        BSD
Url: https://pypi.org/project/filebrowser_safe/
Source0:        https://pypi.python.org/packages/source/f/filebrowser_safe/filebrowser_safe-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
filebrowser_safe was created to provide a snapshot of the `FileBrowser
asset manager for `Django <https://djangoproject.com/>`_, to be
referenced as a dependency for the `Mezzanine CMS for Django.

%package -n     python3-%{pypi_name}
Summary:        A snapshot of the filebrowser_3 branch of django-filebrowser, packaged as a dependency for the Mezzanine CMS for Django


%description -n python3-%{pypi_name}
filebrowser_safe was created to provide a snapshot of the `FileBrowser
asset manager for `Django <https://djangoproject.com/>`_, to be
referenced as a dependency for the `Mezzanine CMS for Django.

%prep
%setup -q -n %{pypi_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files filebrowser_safe

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc



%changelog
* Fri Feb 16 2024 papoteur <papoteur> 1.1.1-3.mga10
+ Revision: 2041907
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.1.1-2.mga9
+ Revision: 1823764
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.1.1-1.mga9
+ Revision: 1784942
- version 1.1.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.5.0-4.mga9
+ Revision: 1732728
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.5.0-3.mga8
+ Revision: 1535559
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.5.0-2.mga8
+ Revision: 1452209
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 0.5.0-1.mga7
+ Revision: 1352758
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.6-5.mga7
+ Revision: 1288893
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.3.6-4.mga7
+ Revision: 1135422
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.3.6-3.mga6
+ Revision: 970873
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.3.6-2.mga6
+ Revision: 888767
- rebuild for python 3.5

* Wed Nov 05 2014 joequant <joequant> 0.3.6-1.mga5
+ Revision: 795800
- imported package python-filebrowser-safe

